# Example Data

This ReFS image and the resulting artifacts where used to find the panics submitted to Microsoft.
The following files are provided:
 * ``calls/call_payload`` the initial calls exectuted on a mounted mutated ReFS:
     * list content of folder1
     * list content of folder2
     * read file content of file fffffffffffffff.txt
 * ``filepool`` lists all folders and files present on the ReFS image. This pool will be used for the file system call fuzzing
 * ``payloads/1c0f9a873dd6eba7ed3cc88a55b6c21b768352f2_compressed.img`` contains the extracted metadata of the ReFS image. this data will be mutated to different payloads
 * ``image/1c0f9a873dd6eba7ed3cc88a55b6c21b768352f2.img`` is our full valid ReFS VHD image containing the files and folders specified in the filepool
 * ``image/1c0f9a873dd6eba7ed3cc88a55b6c21b768352f2_checksums.txt`` contains the checksum information. The ReFS Mutator needs this information for checksum correction
 * ``image/1c0f9a873dd6eba7ed3cc88a55b6c21b768352f2_dup_pages.txt`` contains the information which pages are duplicated in the ReFS image. The ReFS Mutator can optionally use this information to correct the duplicate information after data mutation.
 * ``image/1c0f9a873dd6eba7ed3cc88a55b6c21b768352f2_translation_table`` is used from the ReFS fuzzing agent running on Windows to expand the mutated metadata over the full sized ReFS VHD image. This file is also needed if we want to create a full image from a found panic oder timout payload.
